<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>ModelExport | Vivifly</title>
	<meta name="description" content="Documentation for Vivifly">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="../assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="../assets/js/search.json" data-base="..">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="../index.html" class="title">Vivifly</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="../globals.html">Globals</a>
				</li>
				<li>
					<a href="modelexport.html">ModelExport</a>
				</li>
			</ul>
			<h1>Class ModelExport</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<section class="tsd-panel tsd-comment">
				<div class="tsd-comment tsd-typography">
					<div class="lead">
						<p>Class to export models</p>
					</div>
				</div>
			</section>
			<section class="tsd-panel tsd-hierarchy">
				<h3>Hierarchy</h3>
				<ul class="tsd-hierarchy">
					<li>
						<span class="target">ModelExport</span>
					</li>
				</ul>
			</section>
			<section class="tsd-panel-group tsd-index-group">
				<h2>Index</h2>
				<section class="tsd-panel tsd-index-panel">
					<div class="tsd-index-content">
						<section class="tsd-index-section ">
							<h3>Constructors</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-constructor tsd-parent-kind-class"><a href="modelexport.html#constructor" class="tsd-kind-icon">constructor</a></li>
							</ul>
						</section>
						<section class="tsd-index-section tsd-is-private tsd-is-private-protected">
							<h3>Properties</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><a href="modelexport.html#context" class="tsd-kind-icon">context</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><a href="modelexport.html#screenszip" class="tsd-kind-icon">screens<wbr>Zip</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><a href="modelexport.html#speczip" class="tsd-kind-icon">spec<wbr>Zip</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><a href="modelexport.html#zip" class="tsd-kind-icon">zip</a></li>
							</ul>
						</section>
						<section class="tsd-index-section ">
							<h3>Methods</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><a href="modelexport.html#convertinteractions" class="tsd-kind-icon">convert<wbr>Interactions</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><a href="modelexport.html#convertstates" class="tsd-kind-icon">convert<wbr>States</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><a href="modelexport.html#converttransitions" class="tsd-kind-icon">convert<wbr>Transitions</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><a href="modelexport.html#convertvisualizations" class="tsd-kind-icon">convert<wbr>Visualizations</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><a href="modelexport.html#exportmodel" class="tsd-kind-icon">export<wbr>Model</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="modelexport.html#getspecszipasbase64" class="tsd-kind-icon">get<wbr>Specs<wbr>Zip<wbr>AsBase64</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><a href="modelexport.html#initializezipdirectories" class="tsd-kind-icon">initialize<wbr>Zip<wbr>Directories</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="modelexport.html#startmodeldownload" class="tsd-kind-icon">start<wbr>Model<wbr>Download</a></li>
							</ul>
						</section>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Constructors</h2>
				<section class="tsd-panel tsd-member tsd-kind-constructor tsd-parent-kind-class">
					<a name="constructor" class="tsd-anchor"></a>
					<h3>constructor</h3>
					<ul class="tsd-signatures tsd-kind-constructor tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">new <wbr>Model<wbr>Export<span class="tsd-signature-symbol">(</span>context<span class="tsd-signature-symbol">: </span><a href="../interfaces/appcontext.html" class="tsd-signature-type">AppContext</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="modelexport.html" class="tsd-signature-type">ModelExport</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/ModelExport.tsx:18</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Creates a new ModelExport instance</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>context: <a href="../interfaces/appcontext.html" class="tsd-signature-type">AppContext</a></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>context that is used for the export</p>
										</div>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="modelexport.html" class="tsd-signature-type">ModelExport</a></h4>
						</li>
					</ul>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group tsd-is-private tsd-is-private-protected">
				<h2>Properties</h2>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-private">
					<a name="context" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagPrivate">Private</span> context</h3>
					<div class="tsd-signature tsd-kind-icon">context<span class="tsd-signature-symbol">:</span> <a href="../interfaces/appcontext.html" class="tsd-signature-type">AppContext</a></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/Utils/ModelExport.tsx:15</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-private">
					<a name="screenszip" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagPrivate">Private</span> screens<wbr>Zip</h3>
					<div class="tsd-signature tsd-kind-icon">screens<wbr>Zip<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">JSZip</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">null</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/Utils/ModelExport.tsx:17</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-private">
					<a name="speczip" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagPrivate">Private</span> spec<wbr>Zip</h3>
					<div class="tsd-signature tsd-kind-icon">spec<wbr>Zip<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">JSZip</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">null</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/Utils/ModelExport.tsx:18</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-private">
					<a name="zip" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagPrivate">Private</span> zip</h3>
					<div class="tsd-signature tsd-kind-icon">zip<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">JSZip</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/Utils/ModelExport.tsx:16</li>
						</ul>
					</aside>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Methods</h2>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-private">
					<a name="convertinteractions" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagPrivate">Private</span> convert<wbr>Interactions</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-private">
						<li class="tsd-signature tsd-kind-icon">convert<wbr>Interactions<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/ModelExport.tsx:72</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Converts the interaction elements of the current context into the zip directories</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-private">
					<a name="convertstates" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagPrivate">Private</span> convert<wbr>States</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-private">
						<li class="tsd-signature tsd-kind-icon">convert<wbr>States<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/ModelExport.tsx:127</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Converts the states of the current context as JSON into the zip directory</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-private">
					<a name="converttransitions" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagPrivate">Private</span> convert<wbr>Transitions</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-private">
						<li class="tsd-signature tsd-kind-icon">convert<wbr>Transitions<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/ModelExport.tsx:97</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Converts the transitions of the current context into the zip directories</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-private">
					<a name="convertvisualizations" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagPrivate">Private</span> convert<wbr>Visualizations</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-private">
						<li class="tsd-signature tsd-kind-icon">convert<wbr>Visualizations<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/ModelExport.tsx:84</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Converts the visualization elements of the current context into the zip directories</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-private">
					<a name="exportmodel" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagPrivate">Private</span> export<wbr>Model</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-private">
						<li class="tsd-signature tsd-kind-icon">export<wbr>Model<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/ModelExport.tsx:182</li>
								</ul>
							</aside>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="getspecszipasbase64" class="tsd-anchor"></a>
					<h3>get<wbr>Specs<wbr>Zip<wbr>AsBase64</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">get<wbr>Specs<wbr>Zip<wbr>AsBase64<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">Promise</span><span class="tsd-signature-symbol">&lt;</span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">&gt;</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/ModelExport.tsx:34</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Converts the current context of the object to zip without the model and provides it as base 64 encoded string</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">Promise</span><span class="tsd-signature-symbol">&lt;</span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">&gt;</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-private">
					<a name="initializezipdirectories" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagPrivate">Private</span> initialize<wbr>Zip<wbr>Directories</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-private">
						<li class="tsd-signature tsd-kind-icon">initialize<wbr>Zip<wbr>Directories<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/ModelExport.tsx:62</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Initializes the necessary zip directories as empty folders</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="startmodeldownload" class="tsd-anchor"></a>
					<h3>start<wbr>Model<wbr>Download</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">start<wbr>Model<wbr>Download<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/ModelExport.tsx:46</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Converts the current context of the object to zip and starts zip download</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
			</section>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="../globals.html"><em>Globals</em></a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
				</ul>
				<ul class="current">
					<li class="current tsd-kind-class">
						<a href="modelexport.html" class="tsd-kind-icon">Model<wbr>Export</a>
						<ul>
							<li class=" tsd-kind-constructor tsd-parent-kind-class">
								<a href="modelexport.html#constructor" class="tsd-kind-icon">constructor</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-private">
								<a href="modelexport.html#context" class="tsd-kind-icon">context</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-private">
								<a href="modelexport.html#screenszip" class="tsd-kind-icon">screens<wbr>Zip</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-private">
								<a href="modelexport.html#speczip" class="tsd-kind-icon">spec<wbr>Zip</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-private">
								<a href="modelexport.html#zip" class="tsd-kind-icon">zip</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-private">
								<a href="modelexport.html#convertinteractions" class="tsd-kind-icon">convert<wbr>Interactions</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-private">
								<a href="modelexport.html#convertstates" class="tsd-kind-icon">convert<wbr>States</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-private">
								<a href="modelexport.html#converttransitions" class="tsd-kind-icon">convert<wbr>Transitions</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-private">
								<a href="modelexport.html#convertvisualizations" class="tsd-kind-icon">convert<wbr>Visualizations</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-private">
								<a href="modelexport.html#exportmodel" class="tsd-kind-icon">export<wbr>Model</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="modelexport.html#getspecszipasbase64" class="tsd-kind-icon">get<wbr>Specs<wbr>Zip<wbr>AsBase64</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-private">
								<a href="modelexport.html#initializezipdirectories" class="tsd-kind-icon">initialize<wbr>Zip<wbr>Directories</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="modelexport.html#startmodeldownload" class="tsd-kind-icon">start<wbr>Model<wbr>Download</a>
							</li>
						</ul>
					</li>
				</ul>
				<ul class="after-current">
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="https://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="../assets/js/main.js"></script>
</body>
</html>